Anonymous Login
2018-12-15 13:34 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001683OpenClonkObjectspublic2016-12-21 13:12
ReporterMarky 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001683: Multiple goals are not displayed correctly
DescriptionIf I have two goals in my scenario, for example resource extraction and wealth gain, then only the goal that is created last is displayed by the HUD.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004979

Maikel (developer)

Yes, and you can click on that goal to see all goals. This was a design choice so that the HUD is not full of goals.

Ideally you can't even click on it so that the HUD does not block the interaction with the mouse, but I am only willing to do that if we have bigger menu appearing on F.

~0004980

Marky (developer)

Is this explained in the tutorials? I have not played all of them, but I did not think that clicking it would display all goals.

~0004981

Maikel (developer)

I'll have a look at it this week.

~0005557

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/478265fe964b54899541c3dee8e7927babfb0eeb

Changeset 478265f by Maikel de Vries <mdt.maikel@gmail.com>
explain clicking on goal icon in tutorials (0001683)

+Notes

-Issue History
Date Modified Username Field Change
2016-02-10 21:26 Marky New Issue
2016-02-10 22:16 Maikel Note Added: 0004979
2016-02-10 22:20 Marky Note Added: 0004980
2016-02-10 23:03 Maikel Note Added: 0004981
2016-02-10 23:03 Maikel Assigned To => Maikel
2016-02-10 23:03 Maikel Status new => assigned
2016-12-21 13:12 occ Note Added: 0005557
2016-12-21 13:12 Maikel Status assigned => resolved
2016-12-21 13:12 Maikel Resolution open => fixed
2016-12-21 13:12 Maikel Fixed in Version => git master
+Issue History